Set Thread Admin Status
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}/status \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}/status"
payload = { "status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"object": "thread",
"user_email": "<string>",
"evaluation": "<string>",
"evaluation_comment": "<string>",
"reviewed_at": "<string>",
"admin_status": {
"id": "<string>",
"name": "<string>",
"object": "thread_admin_status",
"color": "<string>"
},
"admin_tags": [],
"llm_judge_evaluated": false,
"llm_judge_need_review": false,
"cx_score": 123,
"created_at": "<string>",
"updated_at": "<string>",
"message_count": 0
}Conversations
Set Thread Admin Status
Set (or clear) the admin status on a conversation thread.
POST
/
api
/
v1
/
conversations
/
{thread_id}
/
status
Set Thread Admin Status
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}/status \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}/status"
payload = { "status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"object": "thread",
"user_email": "<string>",
"evaluation": "<string>",
"evaluation_comment": "<string>",
"reviewed_at": "<string>",
"admin_status": {
"id": "<string>",
"name": "<string>",
"object": "thread_admin_status",
"color": "<string>"
},
"admin_tags": [],
"llm_judge_evaluated": false,
"llm_judge_need_review": false,
"cx_score": 123,
"created_at": "<string>",
"updated_at": "<string>",
"message_count": 0
}Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
